> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meeamitech.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update User

> Update a user by ID



## OpenAPI

````yaml PATCH /auth/v1/users/{id}
openapi: 3.1.0
info:
  title: OpenAPI Developer Portal
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api-dev.meeamitech.com
security:
  - bearerAuth: []
paths:
  /auth/v1/users/{id}:
    patch:
      description: Update a user by ID
      parameters:
        - name: id
          in: path
          description: ID of the user to update
          required: true
          schema:
            type: string
      requestBody:
        description: User data to update
        content:
          application/json:
            schema:
              type: object
              properties:
                firstName:
                  type: string
                  description: First name of the user
                lastName:
                  type: string
                  description: Last name of the user
                email:
                  type: string
                  description: Email address of the user
                  format: email
            example:
              firstname: john
              lastname: Doe
              email: john.doe@example.com
        required: true
      responses:
        '200':
          description: User updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/User'
              example:
                _id: 67c97464ae3d19dc2bbff05d
                teamId: 67a2ea1d828c9098134e7b92
                firstName: john
                lastName: Doe
                email: john.doe@example.com
                password: $2b$10$I9NsnI5BWvwXXFAGLnsAs.DSUNKGoVHEYPkx.lxhT12W7rjypM/pG
                createdAt: '2025-03-06T10:09:40.301Z'
                updatedAt: '2025-03-25T08:26:23.653Z'
                __v: 0
components:
  schemas:
    User:
      required:
        - firstName
        - lastName
        - email
        - password
      type: object
      properties:
        firstName:
          description: The first name of the user
          type: string
        lastName:
          description: The last name of the user
          type: string
        email:
          description: The email of the user
          type: string
        password:
          description: The password of the user
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````